Bug 830831 - stap fail to make kernel module.
stap fail to make kernel module.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 09:35 EDT by Masayuki Ito
Modified: 2012-06-22 04:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:32:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Masayuki Ito 2012-06-11 09:35:51 EDT
Description of problem:
stap fail to make kernel module from test.stp. 
test.stp is
--
#!/usr/bin/stap
probe syscall.ioctl.return {
  exit();
}


Version-Release number of selected component (if applicable):
Fedora release 17 (Beefy Miracle)
Linux 3.4.0-1.fc17.x86_64
Systemtap translator/driver (version 1.7/0.153 non-git sources)


How reproducible:
Always


Steps to Reproduce:
1. su
2. yum -y install rpmdevtools yum-utils kernel-devel
3. yum install --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo kernel-debuginfo
4. stap -v test.stp


Actual results:
# stap -v test.stp   
Pass 1: parsed user script and 88 library script(s) using 102600virt/26864res/2860shr kb, in 150usr/20sys/175real ms.
Pass 2: analyzed script: 2 probe(s), 1 function(s), 2 embed(s), 0 global(s) using 272848virt/147760res/91504shr kb, in 540usr/30sys/571real ms.
Pass 3: translated to C into "/tmp/stapObb7G6/stap_b059bc31fd31b49db2a70e90d36fe453_6367_src.c" using 272848virt/147868res/91612shr kb, in 0usr/0sys/3real ms.
In file included from /tmp/stapObb7G6/stap_b059bc31fd31b49db2a70e90d36fe453_6367_src.c:21:0:
/usr/share/systemtap/runtime/stat.c: In function '_stp_stat_get':
/usr/share/systemtap/runtime/stat.c:214:2: error: 'cpu_possible_map' undeclared (first use in this function)
/usr/share/systemtap/runtime/stat.c:214:2: note: each undeclared identifier is reported only once for each function it appears in
/usr/share/systemtap/runtime/stat.c: In function '_stp_stat_clear':
/usr/share/systemtap/runtime/stat.c:249:2: error: 'cpu_possible_map' undeclared (first use in this function)
make[1]: *** [/tmp/stapObb7G6/stap_b059bc31fd31b49db2a70e90d36fe453_6367_src.o] Error 1
make: *** [_module_/tmp/stapObb7G6] Error 2
WARNING: make exited with status: 2
Pass 4: compiled C into "stap_b059bc31fd31b49db2a70e90d36fe453_6367.ko" in 4850usr/800sys/5840real ms.
Pass 4: compilation failed.  Try again with another '--vp 0001' option.

Expected results:
# stap -v test.stp   
Pass 1: parsed user script and 88 library script(s) using 102604virt/26864res/2860shr kb, in 170usr/10sys/188real ms.
Pass 2: analyzed script: 2 probe(s), 1 function(s), 2 embed(s), 0 global(s) using 272852virt/147764res/91504shr kb, in 540usr/30sys/569real ms.
Pass 3: using cached /root/.systemtap/cache/bc/stap_bc303dc0cbde60c4c04c0f7a2f5ed867_6367.c
Pass 4: using cached /root/.systemtap/cache/bc/stap_bc303dc0cbde60c4c04c0f7a2f5ed867_6367.ko
Pass 5: starting run.
Pass 5: run completed in 0usr/10sys/315real ms.

Additional info:
This problem is solved with the patch David Smith <dsmith@redhat.com> committed to 
http://sourceware.org/git/gitweb.cgi?p=systemtap.git;a=commit;h=e14ac0e274c6de3fee1f74cd190ec6248f28e559
I applied the patch to /usr/share/systemtap/runtime, and I got above "Expected results".
Comment 1 Frank Ch. Eigler 2012-06-11 11:18:53 EDT
The impending systemtap 1.8 release will correct this.
Comment 2 Fedora Update System 2012-06-17 16:00:17 EDT
systemtap-1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemtap-1.8-1.fc17
Comment 3 Fedora Update System 2012-06-19 10:54:15 EDT
Package systemtap-1.8-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemtap-1.8-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9620/systemtap-1.8-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-22 04:32:19 EDT
systemtap-1.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.